Package: org.grails.plugins

## [Groovy] Class CodecsGrailsPlugin

- org.grails.plugins.CodecsGrailsPlugin

-     @java.lang.Deprecated
      class CodecsGrailsPlugin
      extends CodecsGrailsPlugin

  deprecated:
    Use CodecsGrailsPlugin instead

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CodecsGrailsPlugin` | `dependsOn, providedArtefacts, version, watchedResources`
    `class Plugin` | `applicationContext, artefacts, enabled, environment, grailsApplication, plugin, pluginManager`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CodecsGrailsPlugin ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Closure` | `doWithSpring()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`

- - ### Constructor Detail

    - #### CodecsGrailsPlugin()

  - ### Method Detail

    - #### groovy.lang.Closure doWithSpring()